package de.frajul.endlessroll.main.tutorial;

import java.util.Arrays;
import java.util.List;

import de.frajul.endlessroll.R;
import de.frajul.endlessroll.levels.Level;

/**
 * Created by Julian on 17.03.2017.
 */

public class TutorialManager {

    private List<Tutorial> gameTutorials;
    private ToolShopTutorial toolShopTutorial;

    public TutorialManager() {
        Tutorial t11 = new Tutorial(1, 1, new BreakPoint(0, R.string.tutorial_welcome, -1),
                new BreakPoint(0, R.string.tutorial_place_tools, R.drawable.tutorial_place_tools),
                new BreakPoint(7, R.string.tutorial_place_ramp_gap,
                        R.drawable.tutorial_place_ramp_gap),
                new BreakPoint(21, R.string.tutorial_place_ramp_obstacle,
                        R.drawable.tutorial_place_ramp_obstacle));
        Tutorial t21 = new Tutorial(2, 1, new BreakPoint(11, R.string.tutorial_place_ramp_air,
                R.drawable.tutorial_place_ramp_air_1),
                new BreakPoint(33, R.string.tutorial_place_ramp_air_2,
                        R.drawable.tutorial_place_ramp_air_2));
        Tutorial t51 = new Tutorial(5, 1,
                new BreakPoint(BreakPoint.LEVEL_FINISHED_X, R.string.tutorial_leveled_up, -1),
                new BreakPoint(BreakPoint.LEVEL_FINISHED_X, R.string.tutorial_to_toolshop,
                        R.drawable.tutorial_to_toolshop));

        gameTutorials = Arrays.asList(t11, t21, t51);

        toolShopTutorial = new ToolShopTutorial();
    }

    public void resetGameTutorials() {
        for (Tutorial tutorial : gameTutorials)
            tutorial.reset();
    }

    public Tutorial getGameTutorial(Level level) {
        for (Tutorial tutorial : gameTutorials) {
            if (tutorial.getLevelPackId() == level.getPackId() && tutorial.getLevelId() == level
                    .getId())
                return tutorial;
        }
        return null;
    }

    public ToolShopTutorial getToolShopTutorial() {
        return toolShopTutorial;
    }
}
